#modname "ThroneGen #hfzkit"
#description "Replaces all thrones with randomly generated ones. The thrones included with this instance are:

The Throne of Health
- Spreads dominion (2)
- Dominion gets growth +2
- increases global growth when claimed
- +2 N gems per month
- -100 gold per month
The Throne of Mines
- Spreads dominion (2)
- recruitable Crystal Mage
- +1 E gem per month
The Frozen Throne
- Spreads dominion (2)
- recruitable Yeti Shaman
- Ice Druid defends wall during storm
- +1 W gem per month
The Throne of Magic
- Spreads dominion (2)
- ritual range +2
- Blessed get +1 MR
- +2 F gems per month
The Throne of Storms
- Spreads dominion (2)
- recruitable Adept of the Silver Order
- +1 A gem per month
The Throne of Mastery
- Spreads dominion (2)
- Blessed get +2 attack
- enter to gain 16 xp
- +2 F gems per month
The Throne of Sanctuary
- Spreads dominion (2)
- +2 Dominion conflict bonus
- recruitable Pyromancer
- +2 S gems per month
The Throne of Whales
- Spreads dominion (2)
- recruitable Hydromancer
- +4 E gems per month
- horror marks 1% of units in province per month
The Throne of Ivy
- Spreads dominion (2)
- recruitable Blackrose Sorceress
- +2 N gems per month
The Throne of Grace
- Spreads dominion (5)
- +1 Call God bonus
- +1 E gem per month
The Throne of Heat
- Spreads dominion (2)
- recruitable High Magus
- +2 F gems per month
The Throne of Worship
- Spreads dominion (2)
- +2 Dominion conflict bonus
- +1 Call God bonus
- increases global order when claimed
- +1 F gem per month
The Throne of Earthquakes
- Spreads dominion (2)
- recruitable Giant Sorcerer
- +2 E gems per month
The Throne of Rage
- Spreads dominion (2)
- recruitable Mage of Summer
- +2 F gems per month
The Throne of the Moon
- Spreads dominion (2)
- recruitable Warrior Mage
- +2 N gems per month

You can generate new ones at thronegen.illwiki.com."
#version 0.3

#selectsite 1103
#clear
#name "The Throne of Health"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#goddomdeath -2
#gold -100
#gems 6 2
#end

#newevent
#msg "The Throne of Health is spreading life across the world. [The Throne of Health]"
#rarity 13 -- global, always and immediate
#req_site 1 -- only happens to province specified in msg
#req_claimedthrone 1 -- throne must be claimed
#req_pop0ok -- even if throne province has 0 pop
#worlddecscale 3 -- globally increase growth by 1
#req_rare 50 -- 50% chance to happen every turn
#req_unique 2 -- happens twice
#end

#selectsite 1104
#clear
#name "The Throne of Mines"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 340 -- recruitable Crystal Mage
#gems 3 1
#end

#selectsite 1105
#clear
#name "The Frozen Throne"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#wallcom 309 -- Ice Druid
#claim
#dominion 2
#com 2642 -- recruitable Yeti Shaman
#gems 2 1
#end

#selectmonster 2642 -- Yeti Shaman
#slowrec
#end

#selectsite 1106
#clear
#name "The Throne of Magic"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#allrange 2
#blessmr 1
#gems 0 2
#end

#selectsite 1107
#clear
#name "The Throne of Storms"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#wild
#claim
#dominion 2
#com 100 -- recruitable Adept of the Silver Order
#gems 1 1
#end

#selectsite 1108
#clear
#name "The Throne of Mastery"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#xp 16
#claim
#dominion 2
#blessatt 2
#gems 0 2
#end

#selectsite 1109
#clear
#name "The Throne of Sanctuary"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#domwar 2
#com 98 -- recruitable Pyromancer
#gems 4 2
#end

#selectsite 1110
#clear
#name "The Throne of Whales"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 103 -- recruitable Hydromancer
#gems 3 4
#horrormark 1
#end

#selectsite 1111
#clear
#name "The Throne of Ivy"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#wild
#claim
#dominion 2
#com 2362 -- recruitable Blackrose Sorceress
#gems 6 2
#end

#selectsite 1112
#clear
#name "The Throne of Grace"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 5
#recallgod 1
#gems 3 1
#end

#selectsite 1113
#clear
#name "The Throne of Heat"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 481 -- recruitable High Magus
#gems 0 2
#end

#selectsite 1114
#clear
#name "The Throne of Worship"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#domwar 2
#recallgod 1
#gems 0 1
#end

#newevent
#msg "The Throne of Worship is spreading order across the world. [The Throne of Worship]"
#rarity 13 -- global, always and immediate
#req_site 1 -- only happens to province specified in msg
#req_claimedthrone 1 -- throne must be claimed
#req_pop0ok -- even if throne province has 0 pop
#worlddecscale 0 -- globally increase order by 1
#req_rare 50 -- 50% chance to happen every turn
#req_unique 2 -- happens twice
#end

#selectsite 1115
#clear
#name "The Throne of Earthquakes"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 2641 -- recruitable Giant Sorcerer
#gems 3 2
#end

#selectmonster 2641 -- Giant Sorcerer
#slowrec
#end

#selectsite 1116
#clear
#name "The Throne of Rage"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 2544 -- recruitable Mage of Summer
#gems 0 2
#end

#selectsite 1117
#clear
#name "The Throne of the Moon"
#path 8
#level 0
#loc 213999 -- unique, allowed everywhere
#rarity 12 -- lvl 2 throne
#claim
#dominion 2
#com 875 -- recruitable Warrior Mage
#gems 6 2
#end

#selectsite 1118
#rarity 5
#end
#selectsite 1119
#rarity 5
#end
#selectsite 1120
#rarity 5
#end
#selectsite 1121
#rarity 5
#end
#selectsite 1122
#rarity 5
#end
#selectsite 1123
#rarity 5
#end
#selectsite 1124
#rarity 5
#end
#selectsite 1125
#rarity 5
#end
#selectsite 1126
#rarity 5
#end
#selectsite 1127
#rarity 5
#end
#selectsite 1128
#rarity 5
#end
#selectsite 1129
#rarity 5
#end
#selectsite 1130
#rarity 5
#end
#selectsite 1131
#rarity 5
#end
#selectsite 1132
#rarity 5
#end
#selectsite 1133
#rarity 5
#end
#selectsite 1134
#rarity 5
#end
#selectsite 1135
#rarity 5
#end
#selectsite 1136
#rarity 5
#end
#selectsite 1137
#rarity 5
#end
#selectsite 1138
#rarity 5
#end
#selectsite 1139
#rarity 5
#end
#selectsite 1140
#rarity 5
#end
#selectsite 1141
#rarity 5
#end
#selectsite 1142
#rarity 5
#end
#selectsite 1143
#rarity 5
#end
#selectsite 1144
#rarity 5
#end
#selectsite 1145
#rarity 5
#end
#selectsite 1146
#rarity 5
#end
#selectsite 1147
#rarity 5
#end
#selectsite 1148
#rarity 5
#end
#selectsite 1149
#rarity 5
#end
#selectsite 1150
#rarity 5
#end
#selectsite 1151
#rarity 5
#end
#selectsite 1152
#rarity 5
#end
#selectsite 1153
#rarity 5
#end
#selectsite 1154
#rarity 5
#end
#selectsite 1155
#rarity 5
#end
#selectsite 1156
#rarity 5
#end
#selectsite 1157
#rarity 5
#end
